Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.axes
Class AncestorOrSelfWalker

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest
                  |
                  +--org.apache.xpath.axes.AxesWalker
                        |
                        +--org.apache.xpath.axes.ReverseAxesWalker
                              |
                              +--org.apache.xpath.axes.AncestorWalker
                                    |
                                    +--org.apache.xpath.axes.AncestorOrSelfWalker

public class AncestorOrSelfWalker
extends AncestorWalker

Walker for the 'ancestor-or-self' axes.

See Also:
  XPath axes descriptions

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NONE, SHOW_BYFUNCTION, SHOW_NAMESPACE, WILD`

Constructor Summary
`AncestorOrSelfWalker(LocPathIterator locPathIterator)` Construct an AncestorOrSelfWalker using a LocPathWalker.

Methods inherited from class org.apache.xpath.axes.AncestorWalker
`firstChild, setRoot`

Methods inherited from class org.apache.xpath.axes.ReverseAxesWalker
`getLastPos, isReverseAxes`

Methods inherited from class org.apache.xpath.axes.AxesWalker
`acceptNode, clone, getCurrentNode, getExpandEntityReferences, getFilter, getLocPathIterator, getNextWalker, getPredicateCount, getPredicateIndex, getPrevWalker, getProximityPosition, getProximityPosition, getRoot, init, initProximityPosition, lastChild, nextNode, nextSibling, parentNode, previousNode, previousSibling, reset, resetProximityPositions, setCurrentNode, setLocPathIterator, setNextWalker, setPredicateCount, setPrevWalker, toString`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, execute, getDefaultScore, getLocalName, getNamespace, getWhatToShow, initNodeTest, initNodeTest`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AncestorOrSelfWalker

    public AncestorOrSelfWalker(LocPathIterator locPathIterator)

  Construct an AncestorOrSelfWalker using a LocPathWalker.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.